Flash won’t work in Google Chrome for Linux

I’m running Linux Mint with Google Chrome 59 and adbobe-flashplugin 1:20170613.2-0ubuntu0.16.04.1 installed on my system. Despite that fact the Chrome was configured to allow Flash (chrome://settings/content/flash) it still would not work.

After some Google’ing I discovered that Google Chrome uses the Flash library which should be located at /opt/google/chrome/libgcflashplayer.so but in my case it was not there.
Adding a simple symlink to the adbobe-flashplugin which comes with Linux Mint (or Ubuntu) solved the issue:

/opt/google/chrome $ sudo ln -s /usr/lib/adobe-flashplugin/libflashplayer.so libgcflashplayer.so
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s